scala.swing.GridBagPanel

# Anchor

#### object Anchor extends Enumeration

Source
  GridBagPanel.scala

Linear Supertypes
Enumeration, Serializable, Serializable, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Hide All
2. Show all

1. Anchor
2. Enumeration
3. Serializable
4. Serializable
5. AnyRef
6. Any

Visibility

1. Public
2. All

### Type Members

1. #### class Val extends Value with Serializable

   A class implementing the `Value` type.

2. #### abstract class Value extends Ordered[Value] with Serializable

   The type of the enumerated values.

3. #### class ValueSet extends Set[Value] with SetLike[Value, ValueSet]

   A class for sets of values Iterating through this set will yield values in increasing order of their ids.

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Test two objects for inequality.

   Test two objects for inequality.

   returns

     `true` if !(this == that), false otherwise.

   Definition Classes
     Any

3. #### final def ##(): Int

   Equivalent to `x.hashCode` except for boxed numeric types.

   Equivalent to `x.hashCode` except for boxed numeric types. For numerics, it returns a hash value which is consistent with value equality: if two value type instances compare as true, then ## will produce the same hash value for each of them.

   returns

     a hash value consistent with ==

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Test two objects for equality.

   Test two objects for equality.

   returns

     `true` if the receiver object is equivalent to the argument; `false` otherwise.

   Definition Classes
     Any

6. #### val Center: Value

7. #### val East: Value

8. #### val FirstLineEnd: Value

9. #### val FirstLineStart: Value

10. #### val LastLineEnd: Value

11. #### val LastLineStart: Value

12. #### val LineEnd: Value

13. #### val LineStart: Value

14. #### val North: Value

15. #### val NorthEast: Value

16. #### val NorthWest: Value

17. #### val PageEnd: Value

18. #### val PageStart: Value

19. #### val South: Value

20. #### val SouthEast: Value

21. #### val SouthWest: Value

22. #### final def Value(i: Int, name: String): Value

    Creates a fresh value, part of this enumeration, called `name` and identified by the integer `i`.

    Creates a fresh value, part of this enumeration, called `name` and identified by the integer `i`.

    i

      An integer that identifies this value at run-time. It must be unique amongst all values of the enumeration.

    name

      A human-readable name for that value.

    returns

      Fresh value with the provided identifier `i` and name `name`.

    Attributes
      protected
    Definition Classes
      Enumeration

23. #### final def Value(name: String): Value

    Creates a fresh value, part of this enumeration, called `name`.

    Creates a fresh value, part of this enumeration, called `name`.

    name

      A human-readable name for that value.

    returns

      Fresh value called `name`.

    Attributes
      protected
    Definition Classes
      Enumeration

24. #### final def Value(i: Int): Value

    Creates a fresh value, part of this enumeration, identified by the integer `i`.

    Creates a fresh value, part of this enumeration, identified by the integer `i`.

    i

      An integer that identifies this value at run-time. It must be unique amongst all values of the enumeration.

    returns

      Fresh value identified by `i`.

    Attributes
      protected
    Definition Classes
      Enumeration

25. #### final def Value: Value

    Creates a fresh value, part of this enumeration.

    Creates a fresh value, part of this enumeration.

    Attributes
      protected
    Definition Classes
      Enumeration

26. #### object ValueSet extends AnyRef

    A factory object for value sets

27. #### val West: Value

28. #### final def apply(x: Int): Value

    The value of this enumeration with given id `x`

    The value of this enumeration with given id `x`

    Definition Classes
      Enumeration

29. #### final def asInstanceOf[T0]: T0

    Cast the receiver object to be of type `T0`.

    Cast the receiver object to be of type `T0`.

    Note that the success of a cast at runtime is modulo Scala's erasure semantics. Therefore the expression `1.asInstanceOf[String]` will throw a `ClassCastException` at runtime, while the expression `List(1).asInstanceOf[List[String]]` will not. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the requested type.

    returns

      the receiver object.

    Definition Classes
      Any
    Exceptions thrown
      ClassCastException

      if the receiver object is not an instance of the erasure of type `T0`.

30. #### def clone(): AnyRef

    Create a copy of the receiver object.

    Create a copy of the receiver object.

    The default implementation of the `clone` method is platform dependent.

    returns

      a copy of the receiver object.

    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws()
    Note

      not specified by SLS as a member of AnyRef

31. #### final def eq(arg0: AnyRef): Boolean

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    The `eq` method implements an equivalence relation on non-null instances of `AnyRef`, and has three additional properties:

    - It is consistent: for any non-null instances `x` and `y` of type `AnyRef`, multiple invocations of `x.eq(y)` consistently returns `true` or consistently returns `false`.
    - For any non-null instance `x` of type `AnyRef`, `x.eq(null)` and `null.eq(x)` returns `false`.
    - `null.eq(null)` returns `true`.

    When overriding the `equals` or `hashCode` methods, it is important to ensure that their behavior is consistent with reference equality. Therefore, if two objects are references to each other (`o1 eq o2`), they should be equal to each other (`o1 == o2`) and they should hash to the same value (`o1.hashCode == o2.hashCode`).

    returns

      `true` if the argument is a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

32. #### def equals(arg0: Any): Boolean

    The equality method for reference types.

    The equality method for reference types. See equals in Any.

    returns

      `true` if the receiver object is equivalent to the argument; `false` otherwise.

    Definition Classes
      AnyRef → Any

33. #### def finalize(): Unit

    Called by the garbage collector on the receiver object when there are no more references to the object.

    Called by the garbage collector on the receiver object when there are no more references to the object.

    The details of when and if the `finalize` method is invoked, as well as the interaction between `finalize` and non-local returns and exceptions, are all platform dependent.

    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws()
    Note

      not specified by SLS as a member of AnyRef

34. #### final def getClass(): java.lang.Class[_]

    A representation that corresponds to the dynamic class of the receiver object.

    A representation that corresponds to the dynamic class of the receiver object.

    The nature of the representation is platform dependent.

    returns

      a representation that corresponds to the dynamic class of the receiver object.

    Definition Classes
      AnyRef → Any
    Note

      not specified by SLS as a member of AnyRef

35. #### def hashCode(): Int

    The hashCode method for reference types.

    The hashCode method for reference types. See hashCode in Any.

    returns

      the hash code value for this object.

    Definition Classes
      AnyRef → Any

36. #### final def isInstanceOf[T0]: Boolean

    Test whether the dynamic type of the receiver object is `T0`.

    Test whether the dynamic type of the receiver object is `T0`.

    Note that the result of the test is modulo Scala's erasure semantics. Therefore the expression `1.isInstanceOf[String]` will return `false`, while the expression `List(1).isInstanceOf[List[String]]` will return `true`. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the specified type.

    returns

      `true` if the receiver object is an instance of erasure of type `T0`; `false` otherwise.

    Definition Classes
      Any

37. #### final def maxId: Int

    The highest integer amongst those used to identify values in this enumeration.

    The highest integer amongst those used to identify values in this enumeration.

    Definition Classes
      Enumeration

38. #### final def ne(arg0: AnyRef): Boolean

    Equivalent to `!(this eq that)`.

    Equivalent to `!(this eq that)`.

    returns

      `true` if the argument is not a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

39. #### var nextId: Int

    The integer to use to identify the next created value.

    The integer to use to identify the next created value.

    Attributes
      protected
    Definition Classes
      Enumeration

40. #### var nextName: Iterator[String]

    The string to use to name the next created value.

    The string to use to name the next created value.

    Attributes
      protected
    Definition Classes
      Enumeration

41. #### final def notify(): Unit

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Note

      not specified by SLS as a member of AnyRef

42. #### final def notifyAll(): Unit

    Wakes up all threads that are waiting on the receiver object's monitor.

    Wakes up all threads that are waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Note

      not specified by SLS as a member of AnyRef

43. #### def readResolve(): AnyRef

    Attributes
      protected
    Definition Classes
      Enumeration

44. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

45. #### def toString(): String

    The name of this enumeration.

    The name of this enumeration.

    returns

      a String representation of the object.

    Definition Classes
      Enumeration → AnyRef → Any

46. #### def values: ValueSet

    The values of this enumeration as a set.

    The values of this enumeration as a set.

    Definition Classes
      Enumeration

47. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws()

48. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws()

49. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws()

50. #### final def withName(s: String): Value

    Returns a Value from this Enumeration whose name matches the argument s.

    Returns a Value from this Enumeration whose name matches the argument s.

    You can pass a String* set of names to the constructor, or initialize each Enumeration with Value(String). Otherwise, the names are determined automatically through reflection.

    Note the change here wrt 2.7 is intentional. You should know whether a name is in an Enumeration beforehand. If not, just use find on values.

    s

      an Enumeration name

    returns

      the Value of this Enumeration if its name matches s

    Definition Classes
      Enumeration
    Exceptions thrown
      java.util.NoSuchElementException

      if no Value with a matching name is in this Enumeration

### Inherited from Enumeration

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any